/*
 Theme Name: Hope for Gymnastics Theme [Phil]
 Description: Custom theme based on the parent theme TwentySeventeen.
 Template: twentyseventeen
 Author: SG
 Author URI: https://www.speedguide.net
 Version: 1.3
 */

/* colors:
headings, icons, buttons:  #9b4956 
footer bg:        #f2ece6 #fbf6f5
columns bg:       #f5f1ec #fbf6f5  #f2ece6
separator line:   #e4a767

social icons bg:  #eddfdc
headings2:        #b1435b
*/



/* p header height main 
.has-header-image.twentyseventeen-front-page .custom-header,.has-header-video.twentyseventeen-front-page .custom-header,.has-header-image.home.blog .custom-header,.has-header-video.home.blog .custom-header{
	height: 500px;
	height: 60vh !important;
	max-height: 80%; overflow: hidden;
}
.admin-bar.twentyseventeen-front-page.has-header-image .custom-header-media, .admin-bar.twentyseventeen-front-page.has-header-video .custom-header-media,.admin-bar.home.blog.has-header-image .custom-header-media, .admin-bar.home.blog.has-header-video .custom-header-media {
	height: calc(80vh - 32px);
}
*/
/* P posts/pages header height
.site-branding {height: 50vh; }
*/



/* P2023 scale img */
.has-header-image .custom-header-media img, .has-header-image:not(.twentyseventeen-front-page):not(.home) .custom-header-media img {
}
/*
width:100%; height: 80vh;
object-fit: cover;
object-position: 10% 20%;
*/







/* P2026 -- site title font cursive -- Times New Roman, Georgia, Gill Sans, Garamond, Georgia, Bookman, Didot, Candara, Calibri, Optima, Tahoma, Trebuchet MS */
.site-title a { font-family: Calibri, Candara, Segoe UI, Optima, Arial, sans-serif !important; font-weight: bold; font-style: italic; } /* cursive */
.site-title, .entry-title { text-transform: none; } /* from all-caps to normal title */

.site-branding, .site-title, .site-title a { color: #111 !important; }
.site-description { color: #111; }

/* title background */
.site-branding .site-title, .site-branding .site-description {
	background-color: rgba(245, 235, 223, 0.6); /* opacity */
	display: inline-block;
	padding: 10px 20px;
	border-radius: 4px;
}
/* logo background */
#masthead img.custom-logo {background:rgba(245,235,223,0.8); border-radius: 0.3em;}




/* P2026 nav menu */
@media screen and (min-width: 768px) {
	#masthead div.navigation-top {background: #f5ebdf;} /* #da9c9e  */
	#masthead div.navigation-top div.wrap {padding-top: 0.5em; padding-bottom: 0.5em;}
}
#top-menu li:hover, #top-menu li:focus { background: #d1a699; } /* */
.main-navigation ul ul.sub-menu { background-color: #d1a699; } /* dropdown color #ddc5b0 */
.navigation-top .current-menu-item > a, .navigation-top .current_page_item > a { background-color: #d1a699 !important; color: #ddd; } /* background of selected menu */
#top-menu li:hover, #top-menu li:focus, .main-navigation a { border-radius: 5px; }

.main-navigation ul.menu > li > a { padding-left: 10px !important; padding-right: 10px !important; } /* reduce spacing and font to fit..  font-size: 14px; */

/* P2026 - move nav menu to top */
.navigation-top { position: fixed; top: 0;bottom: auto; left: 0;right: 0; width: 100%; z-index: 9999; }
.custom-header { padding-top: 50px; }
.admin-bar .navigation-top { top: 32px; }




/* P2026 Buttons style */
.wp-block-button__link {
    background-color: #9b4956 !important; /* #bd8878 #bc8978 */
    color: #fff; border-radius: 7px !important;
}
.wp-block-button__link:hover {
    background-color: #c17e89 !important; /* #ddc5b0 #994755 #a87188 */
	color: #fff;
}



/* P2026 - mobile */
@media screen and (max-width: 767px) {
    body, p { font-size: 18px; } /* default font size */
    .menu-toggle { position: absolute; top: 0; left: 0; } /* mobile hamburger menu location. optional: font-size: 0;*/    /* .menu-toggle svg { width: 30px; height: 30px; } */
	.navigation-top .menu-toggle:hover, .navigation-top .menu-toggle:focus { background-color: #f5ebdf !important; } /* #f5ebdf #d1a699 */

	/* mobile button custom css class (don't wrap text) */
	.no-wrap-btn, .no-wrap-btn a { /* .entry-content .wp-block-group .wp-block-buttons .wp-block-button */
		white-space: nowrap !important;
		min-width: fit-content !important;
		width: 100%;
	}


	/* force default columns to full width */
	.wp-block-columns { /* Targets core Gutenberg block columns */
        margin-left: 0 !important; margin-right: 0 !important;
        padding-left: 0 !important; padding-right: 0 !important;
    }
    .wp-block-column {
        margin-left: 0 !important; margin-right: 0 !important;
        margin-bottom: 0.5em;
	}
    
    .wrap { /* targets default structural wraps if columns are full-bleed */
		margin-left: 0 !important; margin-right: 0 !important;
		padding-left: 5px !important; padding-right: 0px !important;
	}


	/* site content full width */
    .site-content { padding: 0; 
        padding-left: 10px !important; padding-right: 0px !important;
	}
    .content-area, .content-area-wide {
        width: 100% !important;
        float: none !important;
        margin: 0 !important;
	}
    #secondary { display: none !important; } /* hide sidebar */
    .entry-content, .entry-summary { 
		margin-left: 0 !important; margin-right: 0 !important;
    }

	/* fix paragraph wrap-around images */
	.entry-content p, .wp-block-post-content p {
		min-width: 50px;
		display: inline-block; 
	}
	img.mobile-right-pad {
		margin-right: 10px !important;
		padding-right: 5px !important;
	}


}








/* P2026 Navigation colors -- default #767676 */
css.navigation-top .main-navigation a { color: #555; }
.navigation-top .main-navigation a:hover, .navigation-top .main-navigation .current-menu-item > a { color: #555; } /* hover */
.navigation-top .main-navigation ul ul a { color: #555; } /* submenu */




/* content */
@media screen and (min-width: 48em){
	.site-content {padding-top: 2.5em;}
	.panel-content .wrap { padding-top: 2.5em;}
}




/* P2026 - heading colors */
h1, h2, h3, h4, h5, h6 { color: #9b4956; }

/* P2026 - separator row  */
hr.wp-block-separator {
	border: 0; height: 2px; background-color: #e4a767;
	margin-top: 0em; margin-bottom: 0.8em;
}
.wp-block-separator:not(.is-style-wide):not(.is-style-dots) { width: 80px; max-width: 80px; }

hr { background-color: #e6d1cd; margin: 1.5em 0; width: 100%; }


/* Font Awesome Icons global vertical align */
/* .svg-inline--fa, .fa-2x { vertical-align: middle; } */




/* P2025 content width. can also set: margin-left: auto, margin-right: auto, padding-left: 2em, padding-right: 2em */
.wrap { max-width: 95% }
.page.page-one-column:not(.twentyseventeen-front-page) #primary { max-width: 70%; }
@media screen and (min-width: 68em) { .wrap { max-width: 60%; } }
@media screen and (min-width: 48em) { .wrap { max-width: 80%; } }
@media screen and (min-width: 30em) { .page-one-column .panel-content .wrap { max-width: 90%; } }
.single-post:not(.has-sidebar) #primary, .page.page-one-column:not(.twentyseventeen-front-page) #primary, .archive.page-one-column:not(.has-sidebar) .page-header, .archive.page-one-column:not(.has-sidebar) #primary {
    margin-left: auto; margin-right: auto; max-width: 95%; }
/*
.page-one-column .site-main .wrap { width: 95%; }
.page-one-column .site-main .wrap img { width: 95%; }
*/


.post-navigation .nav-links { display: none; }




pre {background: #f5f5f5;}
.has-sidebar:not(.error404) #primary {width:74%;}
.has-sidebar #secondary { width: 20%;}
.page.page-one-column .entry-header, .twentyseventeen-front-page.page-one-column .entry-header, .archive.page-one-column:not(.has-sidebar) .page-header
	{margin-bottom: 2em;}


/* remove posts author and date metadata */
.entry-meta .byline, .entry-meta .cat-links { display: none; }
.entry-meta .posted-on { display: none; }

/* date text */
.entry-meta {font-weight: 100;}





/* P2026 - block columns #f2ece6 */
.wp-block-column { background-color: #f5f1ec; padding: 10px; border-radius: 10px; border: 0px solid #f3e8e6 !important; }

/* P2026 - remove page titles */
.page .entry-title { display: none; }


/* P2026 footer ------------ */
.site-footer { background: #f2ece6; color: #000;}
.site-footer h2, .site-footer h3, .site-footer h4 .widget-title { color: #9b4956; } /* footer headers  #73142d */
/* footer links */
.site-footer .widget-area a { -webkit-box-shadow: none !important; box-shadow: none !important; text-decoration: none !important; }
.site-footer a, .site-footer a:visited { color: #8e3946; }
.site-footer a:hover, .site-footer a:focus { color: #9e505c !important; border-bottom: 2px solid #9e505c; padding-bottom: 2px; box-shadow: none; }






/* P2026 social-media icons links */
.wp-block-social-links .wp-social-link { 
	color: #9b4956 !important; 
	background-color: #eddfdc !important; 
}
.wp-block-social-links .wp-social-link:hover, .wp-block-social-links .wp-social-link:focus {
	color: #9b4956 !important;
	background-color: #eddfdc !important;
	border-color: #9b4956 !important;
	outline: 1px solid #9b4956;
}




.widget { padding-bottom: 0.5em; }
.site-footer .widget-area { padding-bottom: 1em; padding-top: 1em; }



/* Columns spacing */
.wp-block-columns { gap: 10px; }
.wp-block-column:not(:last-child) {
    margin-right: 5px !important; 
}



/* Bullet list style */
ul {
  padding-left: 20px; /* match paragraph indentation */
  list-style-position: outside; /* Keeps text aligned under itself */
  /* padding-bottom: 10px; */
}
ul.wp-block-list {
	margin-block-end: 1.5em;
}



/*  Bullet styles - use \21D2  or \2023   \279B  
.post ul.wp-block-list li, .page ul.wp-block-list li {  list-style: none;  }

.post ul.wp-block-list li::before, .page ul.wp-block-list li::before {
  content: "\279B";
  font-size: 1.4em;
  position: relative;
  top: 0em;
  left: -1.5em;
}

.post ul.wp-block-list, .page ul.wp-block-list {
	margin-block-start: -1em;
	margin-block-end: 1.5em;
	margin-inline-start: 0px;
	margin-inline-end: 0px;
	padding-inline-start: 2em;
	padding-inline-end:  2em;
}

.post ul.wp-block-list li, .page ul.wp-block-list li {
	  list-style-position: inside;
	  text-indent: -1em;
	  padding-left: 1em;
}


*/


/* P2026 - horizontal spacer element - used in footer.php */
span.spacer { display: inline-block; width: 20px; }







/* P2026 -- hide widgets depending on language in footer */
/* html[lang="en-US"] .site-footer .widget-column.footer-widget-2 { display: none !important; } */ /* hide footer2 */
/* body.lang-en .site-footer .widget-column.footer-widget-1 { display: none !important; } */
/* html[lang="bg-BG"] .site-footer .widget-column.footer-widget-1 { display: none !important; } */ /* hide footer1 */
/* body.lang-bg .site-footer .widget-column.footer-widget-1 { display: none !important; } */



/* P2026 - language specific divs */
.lang-content { display: none; } /* Hide all language-specific divs by default */
html:lang(en) .lang-en { display: block; } /* Show the English div only when <html lang="en"> is set */
html:lang(bg) .lang-bg { display: block; } /* Show the BG div only when <html lang="bg"> is set */



